Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Module Class Reference

Reliable Multicast Module. More...

`#include <RMCast_Module.h>`

Inheritance diagram for ACE_RMCast_Module:

[legend]
Collaboration diagram for ACE_RMCast_Module:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Module (void)
| Constructor. More...
virtual | ~ACE_RMCast_Module (void)
| Destructor. More...
virtual int | next (ACE_RMCast_Module *next)
| Modifier for the next element in the stack. More...
virtual ACE_RMCast_Module * | next (void) const
| Accesor for the next element in the stack. More...
virtual int | open (void)
| Initialize the module, setting up the next module. More...
virtual int | close (void)
| Close the module. More...
virtual int | data (ACE_RMCast::Data &)
| Push data through the stack. More...
virtual int | poll (ACE_RMCast::Poll &)
| Push a polling request through the stack. More...
virtual int | ack_join (ACE_RMCast::Ack_Join &)
| Push a message to ack a join request through the stack. More...
virtual int | ack_leave (ACE_RMCast::Ack_Leave &)
| Push a message to ack a leave request through the stack. More...
virtual int | ack (ACE_RMCast::Ack &)
| Push an ack mesage through the stack. More...
virtual int | join (ACE_RMCast::Join &)
| Push a join message through the stack. More...
virtual int | leave (ACE_RMCast::Leave &)
| Push a leave message through the stack. More...
## Private Attributes
ACE_RMCast_Module * | next_
| The next element in the stack. More...

## Detailed Description

Reliable Multicast Module.

The reliable multicast protocol is implemented as a stack of "Modules" each one performing one specific task. In short, this is an instance of the pipes-and-filters architectural pattern.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Module::ACE_RMCast_Module | ( | void |  | ) |

| Constructor.

ACE_RMCast_Module::~ACE_RMCast_Module | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_RMCast_Module::ack | ( | ACE_RMCast::Ack & | ack | ) | `[virtual]`

| Push an ack mesage through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_IO_UDP, ACE_RMCast_Membership, ACE_RMCast_Proxy, ACE_RMCast_Receiver_Module, and ACE_RMCast_Retransmission.

int ACE_RMCast_Module::ack_join | ( | ACE_RMCast::Ack_Join & | ack_join | ) | `[virtual]`

| Push a message to ack a join request through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_IO_UDP, ACE_RMCast_Receiver_Module, and ACE_RMCast_Reordering.

int ACE_RMCast_Module::ack_leave | ( | ACE_RMCast::Ack_Leave & | ack_leave | ) | `[virtual]`

| Push a message to ack a leave request through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_IO_UDP, and ACE_RMCast_Receiver_Module.

int ACE_RMCast_Module::close | ( | void |  | ) | `[virtual]`

| Close the module. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_Reassembly, ACE_RMCast_Reordering, and ACE_RMCast_Retransmission.

int ACE_RMCast_Module::data | ( | ACE_RMCast::Data & | data | ) | `[virtual]`

| Push data through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_Fragment, ACE_RMCast_IO_UDP, ACE_RMCast_Reassembly, ACE_RMCast_Receiver_Module, ACE_RMCast_Reordering, ACE_RMCast_Retransmission, and ACE_RMCast_Sequencer.

int ACE_RMCast_Module::join | ( | ACE_RMCast::Join & | join | ) | `[virtual]`

| Push a join message through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_IO_UDP, ACE_RMCast_Membership, ACE_RMCast_Receiver_Module, and ACE_RMCast_Retransmission.

int ACE_RMCast_Module::leave | ( | ACE_RMCast::Leave & | leave | ) | `[virtual]`

| Push a leave message through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_IO_UDP, ACE_RMCast_Membership, ACE_RMCast_Receiver_Module, and ACE_RMCast_Retransmission.

ACE_RMCast_Module * ACE_RMCast_Module::next | ( | void |  | ) | const`[virtual]`

| Accesor for the next element in the stack.

int ACE_RMCast_Module::next | ( | ACE_RMCast_Module * | next | ) | `[virtual]`

| Modifier for the next element in the stack.

int ACE_RMCast_Module::open | ( | void |  | ) | `[virtual]`

| Initialize the module, setting up the next module. Reimplemented in ACE_RMCast_Fork.

int ACE_RMCast_Module::poll | ( | ACE_RMCast::Poll & | poll | ) | `[virtual]`

| Push a polling request through the stack. Reimplemented in ACE_RMCast_Fork, ACE_RMCast_IO_UDP, and ACE_RMCast_Receiver_Module.

## Member Data Documentation

ACE_RMCast_Module* ACE_RMCast_Module::next_`[private]`

| The next element in the stack.

The documentation for this class was generated from the following files:

- RMCast_Module.h
- RMCast_Module.cpp
- RMCast_Module.i